<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
@modified christian.rodriguez
  
@cu CU-SA-AC-086 Consultar consignación anticipo

-->

<h:form id="consultarConsignacionesForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <h:panelGrid columns="1" width="100%">

        <p:spacer width="5" />
        <p:fieldset>

            <legend>
                <h:outputText value="Datos de la consignación de anticipo"
                              styleClass="legendTitle" />
            </legend>

            <p:messages id="msgsCCA" showDetail="false" globalOnly="false" />

            <h:panelGrid columns="4" cellspacing="7" width="100%">

                <h:outputLabel value="Razón social / Persona natural:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.entidad.nombreCompleto}"
                    styleClass="outputTextStyle" />

                <h:outputText value="" />
                <h:outputText value="" />

                <h:outputLabel value="Tipo documento:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.entidad.tipoIdentificacion}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Número documento:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.entidad.numeroIdentificacion}"
                    styleClass=" outputTextStyle" />

                <h:outputLabel value="Número contrato:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.numero}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Radicación:" styleClass="outputLabelStyle" />
                <h:outputText value="" styleClass="outputTextStyle" />

                <h:outputLabel value="Número comprobante ingreso:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.consignaciones[0].numeroComprobanteDeposito}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Número cuenta:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.consignaciones[0].numeroCuenta}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Valor consignación:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.consignaciones[0].valor}"
                    styleClass="outputTextStyle">
                    <f:converter converterId="converterMoneda" />
                </h:outputText>

                <h:outputLabel value="Tipo cuenta:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.consignaciones[0].tipoCuenta}"
                    styleClass="outputTextStyle" id="ConsignacionTipoCuentaV-1">
                    <f:converter converterId="converterCB"
                                 for="ConsignacionTipoCuentaV-1" />
                </h:outputText>

                <h:outputLabel value="Fecha consignación:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.consignaciones[0].fecha}"
                    styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                       type="date" />
                </h:outputText>

                <h:outputLabel value="Entidad financiera:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.consignaciones[0].entidadFinanciera}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Referencia 1:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.consignaciones[0].referencia1}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Referencia 2:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaConsignacionAnticipo.contratoSeleccionado.consignaciones[0].referencia1}"
                    styleClass="outputTextStyle" />

            </h:panelGrid>

        </p:fieldset>

        <h:panelGrid cellspacing="7" columns="2">

            <p:commandButton value="Avalúos aprobados"
                             action="#{consultaConsignacionAnticipo.cargarConsultaAvaluosDeContrato}"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); 
                             handleCompleteSIC(xhr, status, args, consultarAvaluosAprobadosContratoWV, true);"
                             update=":consultarConsignacionesForm:msgsCCA, 
                             :consultarAvaluosAprobadosForm"
                             icon="ui-icon-circle-tick"
                             rendered="#{consultaConsignacionAnticipo.banderaActivarBotonConsultarAvaluos}" />

        </h:panelGrid>

    </h:panelGrid>
</h:form>